Skip to main content
PATCH
/
customer-trust
/
accounts
/
{accountId}
Update customer trust account
curl --request PATCH \
  --url https://api.vanta.com/v1/customer-trust/accounts/{accountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "emailDomain": "<string>",
  "customFields": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "tagsByCategory": [
    {
      "categoryId": "<string>",
      "tagIds": [
        "<string>"
      ]
    }
  ]
}
'
{
  "id": "507f1f77bcf86cd799439011",
  "name": "Acme Corporation",
  "emailDomain": "acme.com",
  "createdDate": "2024-01-01T00:00:00.000Z",
  "updatedDate": "2024-01-02T00:00:00.000Z",
  "ndaDetails": {
    "ndaStatus": "SIGNED",
    "ndaSatisfiedDate": "2024-01-02T00:00:00.000Z"
  },
  "accessConfig": {
    "autoApprovalEnabled": false,
    "grantAccessOption": "INCLUDE_EVERYTHING_REQUESTED"
  },
  "customFields": [
    {
      "label": "externalId",
      "value": "12345"
    }
  ],
  "tagsByCategory": [
    {
      "categoryId": "507f1f77bcf86cd799439012",
      "tagIds": [
        "507f1f77bcf86cd799439013"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

Body

application/json
name
string

Updated name for the account

emailDomain
string

Updated primary email domain for the account

customFields
object[]

Updated custom field values for the account

tagsByCategory
object[]

Tags to assign to this account, grouped by category. Replaces existing tags per category.

Response

200 - application/json

Ok

Vanta API representation of a CustomerTrustAccount.

id
string
required

Unique identifier for the account

name
string
required

Name of the account

emailDomain
string
required

Primary email domain associated with the account

createdDate
string<date-time>
required

When the account was created

updatedDate
string<date-time>
required

When the account was last updated

ndaDetails
object
required

NDA configuration for this account

accessConfig
object
required

Access configuration for this account

customFields
object[]
required

Custom field values for this account

tagsByCategory
object[]
required

Tags assigned to this account, grouped by category